Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Register a Device - Silent and Presence

This API endpoint enables you to register a device with the option of user presence. When making a request to register a device, set the presence property to "SILENT_AND_ENFORCE_USER_PRESENCE" to indicate that a user presence can be optional during the signing process.

Once the registration is complete, the response will contain a new credentialId, accessible through the credential_id property

API Description

API to register a device - Silent and Presence

POST https://{{environment_url}}/api/v1/device/register

Headers

Name
Type
Description

Content-Type*

application/json

accept*

String

*/*

Authorization*

String

Bearer <Token>

Request Body

Name
Type
Description

presence*

String

Presence type SILENT_AND_ENFORCE_USER_PRESENCE

API Response

Device Registered Successfully

The device registered successfully and credential_id is generated.

credential_id : unique identifier assigned to a device upon successful registration.

HTTP Status Code: 200

JSON Response

Invalid Bearer Token

HTTP Status Code: 401

JSON Response

Invalid Request Body

HTTP Status Code: 400

JSON Response

Integration Code Snippets

Last updated